Skip to main content
PUT
/
{alias}
/
catalog
/
flags
/
{id}
Atualizar selo
curl --request PUT \
  --url https://api.dooki.com.br/v2/{alias}/catalog/flags/{id} \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "name": "Dia dos Namorados",
  "active": true,
  "is_visible": true,
  "image_url": "https://example.com/image.png",
  "text_color": "#FFFFFF",
  "background_color": "#000000"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/flags/{id}"

payload = {
    "name": "Dia dos Namorados",
    "active": True,
    "is_visible": True,
    "image_url": "https://example.com/image.png",
    "text_color": "#FFFFFF",
    "background_color": "#000000"
}
headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'User-Token': '<api-key>',
    'User-Secret-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'Dia dos Namorados',
    active: true,
    is_visible: true,
    image_url: 'https://example.com/image.png',
    text_color: '#FFFFFF',
    background_color: '#000000'
  })
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/flags/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "active": true,
  "is_visible": true,
  "name": "Coleção 2017",
  "slug": "colecao-2017",
  "total_products": 123,
  "text_color": "#ffffff",
  "background_color": "#000000",
  "image_url": "https://image.com/selo.gif",
  "created_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "updated_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "include": {
    "products_ids": "[987, 654, 456, 321, 123]",
    "brands_ids": "[]",
    "collections_ids": "[]",
    "categories_ids": "[]"
  },
  "exclude": {
    "products_ids": "[123, 321]",
    "brands_ids": "[]",
    "collections_ids": "[]",
    "categories_ids": "[]"
  },
  "include_ids": "[987, 654, 456, 321, 123]",
  "exclude_ids": "[123, 321]"
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID do selo

Body

application/json

Dados para criação ou atualização de um valor de um selo

name
string
required

Nome do selo. Esse valor deve ser único.

Example:

"Dia dos Namorados"

active
boolean
required

Define se o selo está ativo ou não.

Example:

true

is_visible
boolean
required

Define se o selo está visível ou não.

Example:

true

image_url
string

URL da imagem do selo.

Example:

"https://example.com/image.png"

text_color
string

Cor do texto do selo no formato hexadecimal (ex: #FFFFFF).

Example:

"#FFFFFF"

background_color
string

Cor de fundo do selo no formato hexadecimal (ex: #000000).

Example:

"#000000"

Response

Response da criação do selo

Representa as restrições de inclusão e exclusão para itens específicos

id
integer
read-only
active
boolean
is_visible
boolean
name
string
Example:

"Coleção 2017"

slug
string
Example:

"colecao-2017"

total_products
integer
read-only
text_color
string
Example:

"#ffffff"

background_color
string
Example:

"#000000"

image_url
string<url>
Example:

"https://image.com/selo.gif"

created_at
object
updated_at
object
include
object

Itens a serem incluídos

exclude
object

Itens a serem excluídos

include_ids
integer[]

Lista de IDs para inclusão

Example:

"[987, 654, 456, 321, 123]"

exclude_ids
integer[]

Lista de IDs para exclusão

Example:

"[123, 321]"